com.google.gwt.dom.builder.shared

## Class HtmlLinkBuilder

- java.lang.Object
- - com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
  - - com.google.gwt.dom.builder.shared.HtmlElementBuilderBase<LinkBuilder>
    - - com.google.gwt.dom.builder.shared.HtmlLinkBuilder

- All Implemented Interfaces:
    ElementBuilderBase<LinkBuilder>, LinkBuilder

      public class HtmlLinkBuilder
      extends HtmlElementBuilderBase<LinkBuilder>
      implements LinkBuilder

  HTML-based implementation of `LinkBuilder`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlLinkBuilder(HtmlBuilderImpl delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LinkBuilder` | `disabled()` Disable the link.
    `LinkBuilder` | `href(java.lang.String href)` The URI of the linked resource.
    `LinkBuilder` | `hreflang(java.lang.String hreflang)` Language code of the linked resource.
    `LinkBuilder` | `media(java.lang.String media)` Designed for use with one or more target media.
    `LinkBuilder` | `rel(java.lang.String rel)` Forward link type.
    `LinkBuilder` | `target(java.lang.String target)` Frame to render the resource in.
    `LinkBuilder` | `type(java.lang.String type)` Advisory content type.

    - ### Methods inherited from class com.google.gwt.dom.builder.shared.HtmlElementBuilderBase

      `asSafeHtml, attribute, attribute, className, dir, draggable, endTitle, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTitle, startTR, startUList, startVideo, tabIndex, title, trustedAttribute, trustedAttribute, trustedStart`

    - ### Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

      `end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Constructor Detail

    - #### HtmlLinkBuilder

          HtmlLinkBuilder(HtmlBuilderImpl delegate)

  - ### Method Detail

    - #### disabled

          public LinkBuilder disabled()

      Description copied from interface: `LinkBuilder`
      Disable the link. This is currently only used for style sheet links, and may be used to deactivate style sheets.
      Specified by:
        `disabled` in interface `LinkBuilder`

    - #### href

          public LinkBuilder href(java.lang.String href)

      Description copied from interface: `LinkBuilder`
      The URI of the linked resource. The @IsTrustedResourceUri is added conservatively in case href points to a stylesheet.
      Specified by:
        `href` in interface `LinkBuilder`
      See Also:
        W3C HTML Specification

    - #### hreflang

          public LinkBuilder hreflang(java.lang.String hreflang)

      Description copied from interface: `LinkBuilder`
      Language code of the linked resource.
      Specified by:
        `hreflang` in interface `LinkBuilder`
      See Also:
        W3C HTML Specification

    - #### media

          public LinkBuilder media(java.lang.String media)

      Description copied from interface: `LinkBuilder`
      Designed for use with one or more target media.
      Specified by:
        `media` in interface `LinkBuilder`
      See Also:
        W3C HTML Specification

    - #### rel

          public LinkBuilder rel(java.lang.String rel)

      Description copied from interface: `LinkBuilder`
      Forward link type.
      Specified by:
        `rel` in interface `LinkBuilder`
      See Also:
        W3C HTML Specification

    - #### target

          public LinkBuilder target(java.lang.String target)

      Description copied from interface: `LinkBuilder`
      Frame to render the resource in.
      Specified by:
        `target` in interface `LinkBuilder`
      See Also:
        W3C HTML Specification

    - #### type

          public LinkBuilder type(java.lang.String type)

      Description copied from interface: `LinkBuilder`
      Advisory content type.
      Specified by:
        `type` in interface `LinkBuilder`
      See Also:
        W3C HTML Specification